Resume a paused machine
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume \
--header 'x-api-key: <api-key>'import requests
url = "https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "machine_power_status",
"machine_id": "<string>",
"connection_state": "online",
"power_state": "running"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Machines
Resume a paused machine
POST
/
machines
/
{machine_id}
/
resume
Resume a paused machine
curl --request POST \
--url https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume \
--header 'x-api-key: <api-key>'import requests
url = "https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.staging.bma.beeos.ai/v1/machines/{machine_id}/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "machine_power_status",
"machine_id": "<string>",
"connection_state": "online",
"power_state": "running"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Authorizations
apiKeybearer
Headers
Project scope. Required when the API key can access more than one project (alias: anthropic-workspace-id).
Path Parameters
Query Parameters
Response
Success.
Allowed value:
"machine_power_status"Machine ID (mch_...).
Pattern:
^mch_[a-z2-7]{26}$Available options:
online, asleep, offline Compute state of a pool machine. paused keeps the disk (and memory when the provider supports it) without compute; resuming means a resume or restore is in flight; archived means the machine image is stored durably and is restored on the next access.
Available options:
running, pausing, paused, resuming, archiving, archived